# some discord bots

- [tempbot](./cmd/tempbot/main.go) deletes messages after 30 min, checks every 5 min 
  - needs env `disgo_token` and `disgo_guild_id`
  - and a text channel called `⌛-temp`
- [vcbot](./cmd/vcbot/main.go) automatically creates and deletes channels and logs join/leave
  - needs env `disgo_token` and `disgo_guild_id`
  - and a text channel called `📋-voice` and a category called `🔊-talk`
- [welcomebot](./cmd/welcomebot/main.go) sends welcome messages in `👋-welcome` and allows approval of users by group
  - needs env `disgo_token` and `disgo_guild_id`
  - and the following text channels `🔨-rules`, `❕-info` and `👋-welcome`
  - and a group called `Apple` and `Apple Core`
  - the bot group needs to be above `Apple`
- [funbot](./cmd/funbot/main.go) sends funny and cute pictures
  - needs env `disgo_token` and `disgo_imgur`
  - if `disgo_global` is not TRUE, `disgo_guild_id` is needed
  - TODO: add other apis
- [dealsbot](./cmd/dealsbot/main.go) send deals from steam, epic and more
  - needs env `webhook_id`, `webhook_token`
  - TODO: try to incorporate Opera GX API
- [msgbot](./cmd/msgbot/main.go) send messages which can be edited by other admins
  - needs env `disgo_token`
  - TODO: implement

## TODO
- check Intents https://gist.github.com/advaith1/e69bcc1cdd6d0087322734451f15aa2f
  - https://discordpy.readthedocs.io/en/stable/intents.html