package main

import (
	"grow.rievo.dev/discordBots/cmd/domaincheckbot/config"
	"grow.rievo.dev/discordBots/cmd/domaincheckbot/dns"
	"log"
)

func main() {
	log.Println("check domains in domains.json")

	for _, domain := range config.Domains {
		d := dns.CheckDomain(domain)
		if len(d.NS) > 0 && d.NS[0] == "ns.rievo.ch." {
			continue
		}
		log.Println(dns.CheckDomain(domain))
	}
}
