package config

import "github.com/disgoorg/disgo/discord"

var (
	Commands = []discord.ApplicationCommandCreate{
		discord.SlashCommandCreate{
			Name:        "img",
			Description: "get a funny or cute image",
			Options: []discord.ApplicationCommandOption{
				discord.ApplicationCommandOptionString{
					Name:        "type",
					Description: "what do you want?",
					Required:    true,
					Choices: []discord.ApplicationCommandOptionChoiceString{
						{
							Name:  "facedesk",
							Value: "imgur-I5Q4U",
						}, {
							Name:  "hug",
							Value: "imgur-jHJOc",
						}, {
							Name:  "pat",
							Value: "imgur-WiPTl",
						}, {
							Name:  "roll",
							Value: "imgur-lrEwS",
						}, {
							Name:  "wombat",
							Value: "imgur-mnhzS",
						}, {
							Name:  "capybara",
							Value: "imgur-hfL80",
						}, {
							Name:  "quokka",
							Value: "imgur-WvjQA",
						}, {
							Name:  "otter",
							Value: "imgur-BL2MW",
						}, {
							Name:  "seal",
							Value: "imgur-jE3IoCU",
						}, {
							Name:  "shepherd",
							Value: "imgur-XSAIPVF",
						}, {
							Name:  "firework",
							Value: "imgur-g228Sf1",
						}, {
							Name:  "marblefox",
							Value: "imgur-yQlGBLE",
						}, {
							Name:  "chibird",
							Value: "imgur-zHsrxFr",
						},
					},
				},
			},
		},
	}

	NoCommands []discord.ApplicationCommandCreate
)
