package config

import (
	"github.com/disgoorg/snowflake/v2"
	"os"
)

var (
	Token           = os.Getenv("disgo_token")
	RegisterGuildID = snowflake.GetEnv("disgo_guild_id")
)

var (
	ChannelRulesMention string
	ChannelInfoMention  string
	ChannelWelcomeID    snowflake.ID
	RoleAppleID         snowflake.ID
	RoleAppleCoreID     snowflake.ID
)
